#include "nss-secitemlist.h"

void
seciteml_push (seciteml_t **list, SECItem *item)
{
  seciteml_t *newlelt;
  SECItem *newitem;
  newlelt = (seciteml_t *)xmalloc( sizeof(seciteml_t) );
  newitem = (SECItem *)xmalloc( sizeof(SECItem) );
  memcpy(newitem, item, sizeof(SECItem));
  newlelt->item = newitem;
  newlelt->next = *list;
  *list = newlelt;
}

SECItem *seciteml_pop (seciteml_t **list)
{
  seciteml_t *oldlelt;
  SECItem *item = NULL;
  
  if (*list != NULL)
    {
      oldlelt = *list;
      item = oldlelt->item;
      *list = oldlelt->next;
      free(oldlelt);
    }
  return(item);
}
